---

- name: Install docker-compose
  pip:
    name:
      - docker-compose

- name: Create a directory if it does not exist
  ansible.builtin.file:
    path: /opt/bin
    state: directory
    mode: '0755'

- name: Copy composer scripts
  template:
    src: docker-compose.sh.j2
    dest: /usr/local/bin/docker-compose-{{ item }}
    mode: '+x'
    owner: root
    group: root
  with_items: "{{ docker_compose_scripts }}" 

- name: Copy composer service
  template:
    src: docker-compose.service.j2
    dest: /etc/systemd/system/docker-compose-{{ item }}.service
    owner: root
    group: root
    mode: 0644
  with_items: "{{ docker_compose_scripts }}"

- name: Copy composer timer
  template:
    src: docker-compose.timer.j2
    dest: /etc/systemd/system/docker-compose-{{ item.key }}.timer
    owner: root
    group: root
    mode: 0644
  with_dict: "{{ docker_compose_scripts }}"

- name: Enable composer timer
  ansible.builtin.systemd:
    name: docker-compose-{{ item }}.timer
    state: started
    enabled: yes
  with_items: "{{ docker_compose_scripts }}"

- name: Copy composer cron scripts
  template:
    src: docker-compose.cron.j2
    dest: /usr/local/bin/docker-compose-{{ item }}
    mode: '+x'
    owner: root
    group: root
  with_items: "{{ docker_compose_crons }}"

- name: Copy composer cron service
  template:
    src: docker-compose.service.j2
    dest: /etc/systemd/system/docker-compose-{{ item }}.service
    owner: root
    group: root
    mode: 0644
  with_items: "{{ docker_compose_crons }}"

- name: Copy composer cron timer
  template:
    src: docker-compose.timer.j2
    dest: /etc/systemd/system/docker-compose-{{ item.key }}.timer
    owner: root
    group: root
    mode: 0644
  with_dict: "{{ docker_compose_crons }}"

- name: Enable composer cron timer
  ansible.builtin.systemd:
    name: docker-compose-{{ item }}.timer
    state: started
    enabled: yes
  with_items: "{{ docker_compose_crons }}"
